import DefaultLayout from '@/layouts/default'
import NoNavigationLayout from '@/layouts/no-navigation'
import Custombutton from '@/components/core/Button'

const MyPlugin = {
    // eslint-disable-next-line no-unused-vars
    install(Vue, options) {
  //register layouts
  Vue.component('default-layout', DefaultLayout);
  Vue.component('no-nav-layout', NoNavigationLayout);
  Vue.component('custom-button', Custombutton);

  //register async components
  //Vue.component('custom-button', () => import(/* webpackChunkName: "custom-button" */ '@/components/core/Button'));
  Vue.component('input-text', () => import(/* webpackChunkName: "input-text" */ '@/components/core/Input'));
  Vue.component('checkbox', () => import(/* webpackChunkName: "checkbox" */ '@/components/core/Checkbox'));
  Vue.component('radio-button', () => import(/* webpackChunkName: "radio-button" */ '@/components/core/RadioButton'));
  Vue.component('switch-button', () => import(/* webpackChunkName: "switch-button" */ '@/components/core/SwitchButton'));
     
  }
};
export default MyPlugin;
/* 

MyPlugin.install = function (Vue, options) {
/*     // 1. agregar método global o propiedad
    Vue.myGlobalMethod = function () {
      // algo de lógica...
    }
  
    // 2. agregar un recurso global
    Vue.directive('my-directive', {
      bind (el, binding, vnode, oldVnode) {
        // algo de lógica...
      }
    })
  
    // 3. inyectar algunas opciones de componentes
    Vue.mixin({
      created: function () {
        // algo de lógica...
      }
      ...
    })
  
    // 4. agregar un método de instancia
    Vue.prototype.$myMethod = function (methodOptions) {
      // algo de lógica...
    }
       
    
  
    
}*/ 